
From: "Randy.Dunlap" <rddunlap@osdl.org>

Correct .text references to .init.data; init_intel_cacheinfo() can be
__init.

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/cpu/intel_cacheinfo.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/kernel/cpu/intel_cacheinfo.c~i386-init_intel_cacheinfo-can-be-__init arch/i386/kernel/cpu/intel_cacheinfo.c
--- 25/arch/i386/kernel/cpu/intel_cacheinfo.c~i386-init_intel_cacheinfo-can-be-__init	2005-01-16 00:49:53.715328464 -0800
+++ 25-akpm/arch/i386/kernel/cpu/intel_cacheinfo.c	2005-01-16 00:49:53.719327856 -0800
@@ -58,7 +58,7 @@ static struct _cache_table cache_table[]
 	{ 0x00, 0, 0}
 };
 
-unsigned int init_intel_cacheinfo(struct cpuinfo_x86 *c)
+unsigned int __init init_intel_cacheinfo(struct cpuinfo_x86 *c)
 {
 	unsigned int trace = 0, l1i = 0, l1d = 0, l2 = 0, l3 = 0; /* Cache sizes */
 
_
